
Redmine - Defect #35455

Require redmine/sort_criteria globally

2021-06-24 17:06 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version:  

Description

We currently have an issue with Redmine::SortCriteria being loaded only when Query gets loaded.

We use and save Redmine::SortCriteria in a plugin, which leads to errors when we try to load objects from the DB referencing those

although Query has not been loaded yet. This leads to errors in our Redmine until someone loads a page with a query on the

corresponding Redmine instance serving the request.

Associated revisions

Revision 21050 - 2021-06-26 03:16 - Go MAEDA

Require redmine/sort_criteria globally (#35455).

Patch by Felix Schäfer.

History

#1 - 2021-06-24 17:07 - Felix Schäfer

- File 35455.patch added

The attached patch moves the require 'redmine/sort_criteria' to the global requires in lib/redmine.rb instead of loading it in-place in the

app/models/query.rb.

#2 - 2021-06-25 04:56 - Go MAEDA

- Category set to Plugin API

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#3 - 2021-06-26 03:17 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

35455.patch 841 Bytes 2021-06-24 Felix Schäfer
